<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:paddingTop="@dimen/dp_10">

    <RadioButton
        android:id="@+id/cb_printer_item"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_printer_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginLeft="@dimen/dp_19"
        android:gravity="center"
        android:text="asdasda"
        android:textColor="@color/normal_color"
        android:textSize="@dimen/dp_19"
        app:layout_constraintLeft_toRightOf="@id/cb_printer_item"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_default_print"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_14"
        android:background="@drawable/shape_theme_color_bg"
        android:padding="@dimen/dp_1"
        android:paddingLeft="@dimen/dp_8"
        android:paddingTop="@dimen/dp_3"
        android:paddingRight="@dimen/dp_8"
        android:paddingBottom="@dimen/dp_3"
        android:text="默認"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_12"
        app:layout_constraintBottom_toBottomOf="@id/tv_printer_name"
        app:layout_constraintLeft_toRightOf="@id/tv_printer_name"
        app:layout_constraintTop_toTopOf="@id/tv_printer_name" />


    <TextView
        android:id="@+id/tv_printer_ip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_13"
        android:singleLine="true"
        android:text="IP："
        android:textColor="@color/normal_color"
        android:textSize="@dimen/dp_12"
        app:layout_constraintLeft_toLeftOf="@id/tv_printer_name"
        app:layout_constraintTop_toBottomOf="@id/tv_printer_name" />

    <TextView
        android:id="@+id/tv_printer_port"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:singleLine="true"
        android:text="端口號："
        android:textColor="@color/normal_color"
        android:visibility="gone"
        android:textSize="@dimen/dp_12"
        app:layout_constraintLeft_toLeftOf="@id/tv_printer_ip"
        app:layout_constraintTop_toBottomOf="@id/tv_printer_ip" />

    <ImageView
        android:id="@+id/tv_printer_edit"
        android:layout_width="@dimen/dp_17"
        android:layout_height="@dimen/dp_17"
        android:layout_marginRight="@dimen/dp_10"
        android:src="@drawable/ic_edit"
        android:text="編輯"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toLeftOf="@id/layout_delete"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/layout_delete"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginRight="@dimen/dp_19"
            android:src="@drawable/ic_delete_bill_method" />
    </FrameLayout>

    <View
        android:id="@+id/horizontal_dividing_line"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_0_5"
        android:layout_marginTop="@dimen/dp_10"
        android:background="@color/color_ccc"
        app:layout_constraintTop_toBottomOf="@id/tv_printer_port" />
</androidx.constraintlayout.widget.ConstraintLayout>